aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xfix-dotfile-paths.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/fix-dotfile-paths.sh b/fix-dotfile-paths.sh
index 17ed045..02cf0ae 100755
--- a/fix-dotfile-paths.sh
+++ b/fix-dotfile-paths.sh
@@ -8,13 +8,13 @@ create_ls_entry () {
fi
find -- . -maxdepth 1 -type d | sed '/^\.$/d' | sed 's/^\.\///' | while read -r dir; do
if [ "${dir}" != "*" ]; then
- echo "- [[https://jjanzen.ca/dotfiles/$1${dir}][${dir}/]]" >> index.org
+ echo "- [[https://jjanzen.ca/dotfiles/$1${dir}][=${dir}/=]]" >> index.org
fi
done
echo "* Files" >> index.org
find -- . -maxdepth 1 -type f | sed 's/^\.\///' | while read -r file; do
if test -f "${file}"; then
- if [ "${file}" = "*" ] || [ "${file}" = "index.org" ] || [ "${file}" = "README.md" ] || [ "${file}" = "LICENSE" ] || [ "${file}" = ".build.yml" ]; then
+ if [ "${file}" = "*" ] || [ "${file}" = "index.org" ] || [ "${file}" = "README.md" ] || [ "${file}" = "LICENSE" ] || [ "${file}" = ".build.yml" ] || echo "${file}" | grep "\.tar\.gz$"; then
continue
elif [ "${file}" = ".wallpaper" ]; then
echo "- [[https://wallhaven.cc/w/vgryy5][.wallpaper]]" >> index.org
@@ -26,7 +26,7 @@ create_ls_entry () {
else
new_file=$file
fi
- html=$(echo "${file}" | sed 's/\.org\$/\.html/')
+ html=$(echo "${file}" | sed 's/\.org$/\.html/')
echo "- [[https://jjanzen.ca/dotfiles/$1${html}][${new_file}]]" >> index.org
fi
done